/Users/bernard/b20/bsoft/include/Color.h(3)

NAME
/Users/bernard/b20/bsoft/include/Color.h - Classes for color objects.

SYNOPSIS

#include 'Bstring.h'

  Classes
class RGBA< Type >
class CMYK< Type >
class RGB< Type >
class RGBA< Type >
class CMYK< Type >

  Functions
template<typename Type > ostream & operator<< (ostream &output, RGB< Type > rgb)
template<typename Type > ostream & operator<< (ostream &output, RGBA< Type > rgba)
template<typename Type > ostream & operator<< (ostream &output, CMYK< Type > cmyk)

Detailed Description

Classes for color objects.

Author:
    Bernard Heymann

Date:
    Created: 20050112

    Modified: 20170420

Definition in file Color.h.

Function Documentation

  template<typename Type > ostream& operator<< (ostream & output, RGB< Type > rgb)

Definition at line 148 of file Color.h.

  template<typename Type > ostream& operator<< (ostream & output, RGBA< Type > rgba)

Definition at line 250 of file Color.h.

  template<typename Type > ostream& operator<< (ostream & output, CMYK< Type > cmyk)

Definition at line 307 of file Color.h.

Author

Generated automatically by Doxygen for Bsoft from the source code.